View Issue Details

IDProjectCategoryView StatusLast Update
0003366Ham Radio DeluxeBugpublic2019-07-01 14:20
ReporterWA9PIEAssigned Todoug 
PrioritynormalSeveritymajorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version6.6.0.236 
Summary0003366: QLM client doesn't prompt user to update their Callsign in License Manager when they have had a staff member change their call
DescriptionBefore I write this up and have it go through the scrutiny of others, I wanted to raise this to your attention. Here's what I'm seeing...

Customer gets a key... installs it using their Callsign (Company) and activation key. Perfect. Everything works fine.

However...

Many of these customers change their Callsigns. It's a vanity thing.

When they do, they make the request to a staff member who will go into that customer's record and replace the old call with the new one. So say I'm WA9PIE... and I have my callsign changed to W9EIE. I've tested making this change in QLM.

However... the software continues to run as registered to WA9PIE.

What I was expecting to happen is that the customer would be prompted - the next time the software launches - that their callsign no longer matches and asks them to enter their new callsign. They enter their new callsign... the software calls QLM with the new callsign and existing key... gets a match... program starts. No match, some message back saying they have not entered it correctly... try again or contact HRD Software customer service.

Make sense?
TagsNo tags attached.
ModuleSW License Mgmt
Sub-ModuleSW License Client
Testing Beta Successful

Activities

doug

2019-06-19 22:00

developer   ~0008134

fixed in Doug 6.6 in change set 5037

WA9PIE

2019-06-20 10:19

administrator   ~0008136

I validated this one.

g3ucq

2019-06-20 11:43

viewer   ~0008137

I am not sure if this is how it should be but …
First time I ran v.234 GB2GM appeared as the callsign and the previous activation key was entered with asterisks.
I was unable to delete the activation key.
I closed this dialog box and reran HRD and then got an empty Callsign box.
My activation required me to use GB2GM which is what I used for the previous tests.
Can you now change it to G3UCQ please?
As mentioned before. It was difficult to figure out what some characters are i.e I and 1.
Only by copying the key and pasting the key into Notepad could I see the difference between 1 and I and 0 and O.

g3ucq

2019-06-20 12:07

viewer   ~0008141

I deactivated the Licence Key in the Licence Manager. All boxes were then emptied and HRD closed.
I reloaded HRD and everything ran as normal.

WA9PIE

2019-06-20 13:49

administrator   ~0008142

John... that should not happen. The 6.6 version should not be pulling forward any old key information.

g3ucq

2019-06-20 14:27

viewer   ~0008143

That is what happened Mike

WA9PIE

2019-06-22 11:09

administrator   ~0008164

What happened for John was related to having a previous 6.6 beta build with a call and key that were purged from the system between beta sets. I misunderstood it.

Once John's call and key were updated, all is well.

Closing.

Issue History

Date Modified Username Field Change
2019-06-17 12:08 WA9PIE New Issue
2019-06-17 12:08 WA9PIE Status new => assigned
2019-06-17 12:08 WA9PIE Assigned To => doug
2019-06-19 22:00 doug Note Added: 0008134
2019-06-20 10:19 WA9PIE Status assigned => resolved
2019-06-20 10:19 WA9PIE Resolution open => fixed
2019-06-20 10:19 WA9PIE Fixed in Version => 6.6.0.234
2019-06-20 10:19 WA9PIE Testing Not Started => Beta Successful
2019-06-20 10:19 WA9PIE Note Added: 0008136
2019-06-20 11:43 g3ucq Note Added: 0008137
2019-06-20 12:07 g3ucq Note Added: 0008141
2019-06-20 13:49 WA9PIE Note Added: 0008142
2019-06-20 14:27 g3ucq Note Added: 0008143
2019-06-22 11:09 WA9PIE Status resolved => closed
2019-06-22 11:09 WA9PIE Note Added: 0008164
2019-07-01 14:18 WA9PIE Fixed in Version 6.6.0.234 => 6.6.0.236
2019-07-01 14:20 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe